package interval;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class CookieServlet extends HttpServlet {

	protected void service(HttpServletRequest req,HttpServletResponse res)
										throws ServletException,IOException {
		int calledCount = 0;
		res.setContentType("text/html;charset=windows-1250");
		
		PrintWriter out = res.getWriter();
		out.println("<HTML><TITLE>CookieServlet</TITLE><BODY>");
		out.println("<H2>Cookie Servlet:</H2><HR>");
		
		if (getReqCookie(req,out,"calledCount") == null) calledCount = 0;
		else calledCount = new Integer(getReqCookie(req,out,"calledCount")).intValue();
		
		out.print("Hodnota cookie <strong>calledCount</strong> zskan z objektu request: ");
		
		if (calledCount == 0) out.println(" <strong>NULL</strong> - cookie nenjden<HR>");
		else out.println(calledCount + "<HR>");
		
		calledCount++;
		Cookie cookie = new Cookie("calledCount", new Integer(calledCount).toString());
		
		res.addCookie(cookie);
		
		out.println("Hodnota cookie <strong>calledCount</strong> odoslan sp: " + calledCount);
		out.println("<HR></BODY><HTML>");
		out.close();
	}

	private String getReqCookie(HttpServletRequest req,PrintWriter out,String name){
		Cookie[] cookies = req.getCookies();
		if (cookies != null && cookies.length > 0) {
			for(int i=0; i < cookies.length; i++) {
				if (cookies[i].getName().equals(name)) return (cookies[i].getValue());
			}
		}
	return null;
	}
}
