package interval;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class URLWritingServlet extends HttpServlet {

    protected void service(HttpServletRequest req,HttpServletResponse res)
											throws ServletException,IOException {
		int calledCount = 0;
		res.setContentType("text/html;charset=windows-1250");
		
		PrintWriter out = res.getWriter();
		out.println("<HTML><TITLE>URLWritingServlet</TITLE><BODY>");
		out.println("<H2>URL Rewriting Servlet:</H2><HR>");
		
		calledCount = getReqURLInt(req,"calledCount");
		out.println("Hodnota URL parametra <strong>calledCount</strong> zskan z objektu request: ");
		
		if (calledCount == 0) out.println(" <strong>NULL</strong> - bez hodnoty<HR>");
		else out.println(calledCount + "<HR>");
		
		calledCount++;
		
		out.println("Hodnota URL parametra <strong>calledCount</strong> odoslan sp: " + calledCount);
		out.print("<HR><P><A HREF=\"interval.URLWritingServlet");
		out.print("?calledCount=" + calledCount + "\">Click to reload servlet</A>");
		out.println("</BODY><HTML>");
		out.close();
	}

    private int getReqURLInt(HttpServletRequest req,String name){
		int val = 0;
		if (req.getParameter(name)!= null) {
			val = new Integer(req.getParameter(name)).intValue();
		}
	return val;
	}
}
